about summary refs log tree commit diff
diff options
context:
space:
mode:
authorDominik Maier <domenukk@gmail.com>2020-04-20 23:11:11 +0200
committerDominik Maier <domenukk@gmail.com>2020-04-20 23:11:11 +0200
commit0ffef8c79d1e03ede8641eef21990f17335c08c1 (patch)
tree741acc2b57867e227db103463709d24df7cbe81f
parent3d52079a7caf018f6ecba9c6cf5f5ae944aa3138 (diff)
downloadafl++-0ffef8c79d1e03ede8641eef21990f17335c08c1.tar.gz
script to update uc refs; new unicornafl version
-rw-r--r--unicorn_mode/UNICORNAFL_VERSION2
m---------unicorn_mode/unicornafl0
-rwxr-xr-xunicorn_mode/update_uc_ref.sh25
3 files changed, 26 insertions, 1 deletions
diff --git a/unicorn_mode/UNICORNAFL_VERSION b/unicorn_mode/UNICORNAFL_VERSION
index 5b152135..cb597068 100644
--- a/unicorn_mode/UNICORNAFL_VERSION
+++ b/unicorn_mode/UNICORNAFL_VERSION
@@ -1 +1 @@
-4325c8f
+d51753b2
diff --git a/unicorn_mode/unicornafl b/unicorn_mode/unicornafl
-Subproject 4325c8fd9c8b92986b1b0f75ac519a12726b6bd
+Subproject d51753b29f2d2756ee74e83e5263ee34bb6decb
diff --git a/unicorn_mode/update_uc_ref.sh b/unicorn_mode/update_uc_ref.sh
new file mode 100755
index 00000000..d198fa2a
--- /dev/null
+++ b/unicorn_mode/update_uc_ref.sh
@@ -0,0 +1,25 @@
+#/bin/sh
+
+UC_VERSION_FILE='./UNICORNAFL_VERSION'
+
+NEW_VERSION="$1"
+if [ -z "$NEW_VERSION" ]; then
+  echo "Internal script to update bound unicornafl version."
+  echo
+  echo "Usage: ./update_uc_ref.sh <new commit hash>"
+  exit 1
+fi
+
+git submodule init && git submodule update || exit 1
+cd ./unicornafl
+git fetch origin master 1>/dev/null || exit 1
+git stash 1>/dev/null 2>/dev/null
+git stash drop 1>/dev/null 2>/dev/null
+git checkout "$NEW_VERSION" || exit 1
+
+cd ..
+
+rm "$UC_VERSION_FILE"
+echo "$NEW_VERSION" > "$UC_VERSION_FILE"
+
+echo "Done. New unicornafl version is $NEW_VERSION."